// CHANGE 3 PARAMETERS HERE!
// In this example: "root" is username, "no" is password, "dbname" is database name.
//
-define('DSN', 'mysqli://root:no@localhost/dbname?charset=utf8mb4');
+define('DSN', 'mysqli://ttuser:Ttuser09@localhost/timetracker?charset=utf8mb4');
// Do NOT change charset unless you upgraded from an older Time Tracker where charset was NOT specified
// and now you see some corrupted characters. See http://dev.mysql.com/doc/refman/5.0/en/charset-mysql.html
//
// define('APP_NAME', 'timetracker');
//
-define('APP_NAME', '');
+define('APP_NAME', 'WagnerTech - timetracker');
// WEEKEND_START_DAY
--- /dev/null
+timetracker (1.19-%BUILD%) unstable; urgency=medium
+ * time tracker download 2.7.2019
+ -- Michael Wagner <michael@wagnertech.de> Tue, 02 Jul 2019 16:00:00 +0100
--- /dev/null
+# Configuration for timetracker
+Alias /timetracker/ /usr/share/php/timetracker/
+
--- /dev/null
+Source: timetracker
+Section: main
+Priority: optional
+Maintainer: Michael Wagner <michael@wagnertech.de>
+Build-Depends: git
+
+Package: timetracker
+Architecture: all
+Depends: php5-mysql
+Description: Anuko Time Tracker
+
--- /dev/null
+#!/bin/bash
+set -e
+
+mkdir -p $1/usr/share/php/timetracker
+rsync -av --delete --exclude='debian' --exclude='.git' ./ $1/usr/share/php/timetracker/
+
+mkdir -p $1/etc/apache2/sites-available
+cp debian/timetracker.conf $1/etc/apache2/sites-available/
+
--- /dev/null
+#!/bin/bash
+
+a2ensite timetracker.conf
+#systemd restart apache2
+/etc/init.d/apache2 restart
+
+chmod 777 /usr/share/php/timetracker/WEB-INF/templates_c
+
+# check, whether sysal user exists
+if ! mysql -uttuser -pTtuser09 timetracker -e";"
+then
+ echo "Installation of ttuser user ..."
+ echo "Password of mysql root:"
+ read pw
+ mysql -uroot -p$pw <<END
+create user ttuser@localhost identified by 'Ttuser09';
+create database timetracker CHARACTER SET = 'utf8mb4';
+grant all on timetracker.* to ttuser@localhost;
+END
+fi
+
+# Create Config File
+pushd /usr/share/php/timetracker/WEB-INF
+ if [ ! -f config.php ]
+ then
+ echo "copy standard config file"
+ cp config.php.dist config.php
+ fi
+popd
+
+echo "Check database with http://localhost/timetracker/dbinstall.php"
+echo "Login at http://localhost/timetracker/login.php"
+echo "Initial password: admin/secret"
+echo "Further information: https://www.anuko.com/time_tracker/index.htm"
+